> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# List conversations

GET https://api.elevenlabs.io/v1/convai/conversations

Get all conversations of agents that user owns. With option to restrict to a specific agent.

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/conversations/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /v1/convai/conversations:
    get:
      operationId: list
      summary: List conversations
      description: >-
        Get all conversations of agents that user owns. With option to restrict
        to a specific agent.
      tags:
        - subpackage_conversationalAi.subpackage_conversationalAi/conversations
      parameters:
        - name: cursor
          in: query
          description: Used for fetching next page. Cursor is returned in the response.
          required: false
          schema:
            type: string
        - name: agent_id
          in: query
          description: >-
            Agent id (agent_…) or speech engine external id (seng_), resolved to
            the same underlying resource.
          required: false
          schema:
            type: string
        - name: call_successful
          in: query
          description: The result of the success evaluation
          required: false
          schema:
            $ref: '#/components/schemas/type_:EvaluationSuccessResult'
        - name: call_start_before_unix
          in: query
          description: >-
            Unix timestamp (in seconds) to filter conversations up to this start
            date.
          required: false
          schema:
            type: integer
        - name: call_start_after_unix
          in: query
          description: >-
            Unix timestamp (in seconds) to filter conversations after to this
            start date.
          required: false
          schema:
            type: integer
        - name: call_duration_min_secs
          in: query
          description: Minimum call duration in seconds.
          required: false
          schema:
            type: integer
        - name: call_duration_max_secs
          in: query
          description: Maximum call duration in seconds.
          required: false
          schema:
            type: integer
        - name: rating_max
          in: query
          description: Maximum overall rating (1-5).
          required: false
          schema:
            type: integer
        - name: rating_min
          in: query
          description: Minimum overall rating (1-5).
          required: false
          schema:
            type: integer
        - name: has_feedback_comment
          in: query
          description: Filter conversations with user feedback comments.
          required: false
          schema:
            type: boolean
        - name: user_id
          in: query
          description: Filter conversations by the user ID who initiated them.
          required: false
          schema:
            type: string
        - name: evaluation_params
          in: query
          description: >-
            Evaluation filters. Repeat param. Format: criteria_id:result.
            Example: eval=value_framing:success
          required: false
          schema:
            type: string
        - name: data_collection_params
          in: query
          description: >-
            Data collection filters. Repeat param. Format: id:op:value where op
            is one of eq|neq|gt|gte|lt|lte|in|exists|missing. For in,
            pipe-delimit values.
          required: false
          schema:
            type: string
        - name: tool_names
          in: query
          description: Filter conversations by tool names used during the call.
          required: false
          schema:
            type: string
        - name: tool_names_successful
          in: query
          description: Filter conversations by tool names that had successful calls.
          required: false
          schema:
            type: string
        - name: tool_names_errored
          in: query
          description: Filter conversations by tool names that had errored calls.
          required: false
          schema:
            type: string
        - name: main_languages
          in: query
          description: Filter conversations by detected main language (language code).
          required: false
          schema:
            type: string
        - name: page_size
          in: query
          description: >-
            How many conversations to return at maximum. Can not exceed 100,
            defaults to 30.
          required: false
          schema:
            type: integer
            default: 30
        - name: summary_mode
          in: query
          description: Whether to include transcript summaries in the response.
          required: false
          schema:
            $ref: >-
              #/components/schemas/type_conversationalAi/conversations:ConversationsListRequestSummaryMode
            default: exclude
        - name: search
          in: query
          description: Full-text or fuzzy search over transcript messages
          required: false
          schema:
            type: string
        - name: conversation_initiation_source
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type_:ConversationInitiationSource'
        - name: text_only
          in: query
          required: false
          schema:
            type: boolean
        - name: branch_id
          in: query
          description: Filter conversations by branch ID.
          required: false
          schema:
            type: string
        - name: topic_ids
          in: query
          description: Filter conversations by topic IDs assigned during topic discovery.
          required: false
          schema:
            type: string
        - name: exclude_statuses
          in: query
          description: >-
            Exclude conversations with the given statuses. Useful for hiding
            in-progress / processing conversations from list views.
          required: false
          schema:
            $ref: >-
              #/components/schemas/type_conversationalAi/conversations:ConversationsListRequestExcludeStatusesItem
        - name: tag_ids
          in: query
          description: >-
            Filter conversations by conversation tag IDs assigned via the
            conversation-tags endpoints.
          required: false
          schema:
            type: string
        - name: workflow_node_entered_id
          in: query
          description: Filter conversations to only those that entered the given node.
          required: false
          schema:
            type: string
        - name: xi-api-key
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:GetConversationsPageResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:HTTPValidationError'
servers:
  - url: https://api.elevenlabs.io
  - url: https://api.us.elevenlabs.io
  - url: https://api.eu.residency.elevenlabs.io
  - url: https://api.in.residency.elevenlabs.io
components:
  schemas:
    type_:EvaluationSuccessResult:
      type: string
      enum:
        - success
        - failure
        - unknown
      title: EvaluationSuccessResult
    type_conversationalAi/conversations:ConversationsListRequestSummaryMode:
      type: string
      enum:
        - exclude
        - include
      default: exclude
      description: Whether to include transcript summaries in the response.
      title: ConversationsListRequestSummaryMode
    type_:ConversationInitiationSource:
      type: string
      enum:
        - unknown
        - android_sdk
        - node_js_sdk
        - react_native_sdk
        - react_sdk
        - js_sdk
        - python_sdk
        - widget
        - sip_trunk
        - twilio
        - exotel
        - genesys
        - swift_sdk
        - whatsapp
        - twilio_sms
        - flutter_sdk
        - zendesk_integration
        - slack_integration
        - telegram_integration
        - intercom_integration
        - freshdesk_integration
        - template_preview
        - genesys_bot_connector
      default: unknown
      description: Enum representing the possible sources for conversation initiation.
      title: ConversationInitiationSource
    type_conversationalAi/conversations:ConversationsListRequestExcludeStatusesItem:
      type: string
      enum:
        - initiated
        - in-progress
        - processing
        - done
        - failed
      title: ConversationsListRequestExcludeStatusesItem
    type_:ConversationSummaryResponseModelStatus:
      type: string
      enum:
        - initiated
        - in-progress
        - processing
        - done
        - failed
      title: ConversationSummaryResponseModelStatus
    type_:TelephonyDirection:
      type: string
      enum:
        - inbound
        - outbound
      default: inbound
      title: TelephonyDirection
    type_:ConversationSummaryResponseModel:
      type: object
      properties:
        agent_id:
          type: string
        branch_id:
          type: string
        version_id:
          type: string
        agent_name:
          type: string
        conversation_id:
          type: string
        start_time_unix_secs:
          type: integer
        call_duration_secs:
          type: integer
        message_count:
          type: integer
        status:
          $ref: '#/components/schemas/type_:ConversationSummaryResponseModelStatus'
        termination_reason:
          type: string
          default: ''
        call_successful:
          $ref: '#/components/schemas/type_:EvaluationSuccessResult'
        transcript_summary:
          type: string
        call_summary_title:
          type: string
        main_language:
          type: string
        conversation_initiation_source:
          $ref: '#/components/schemas/type_:ConversationInitiationSource'
        tool_names:
          type: array
          items:
            type: string
        direction:
          $ref: '#/components/schemas/type_:TelephonyDirection'
        rating:
          type: number
          format: double
      required:
        - agent_id
        - conversation_id
        - start_time_unix_secs
        - call_duration_secs
        - message_count
        - status
        - call_successful
      title: ConversationSummaryResponseModel
    type_:GetConversationsPageResponseModel:
      type: object
      properties:
        conversations:
          type: array
          items:
            $ref: '#/components/schemas/type_:ConversationSummaryResponseModel'
        next_cursor:
          type: string
        has_more:
          type: boolean
      required:
        - conversations
        - has_more
      title: GetConversationsPageResponseModel
    type_:ValidationErrorLocItem:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItem
    type_:ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/type_:ValidationErrorLocItem'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    type_:HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/type_:ValidationError'
      title: HTTPValidationError

```

## SDK Code Examples

```typescript
import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";

async function main() {
    const client = new ElevenLabsClient();
    await client.conversationalAi.conversations.list({
        cursor: "cursor",
        agentId: "agent_id",
        callSuccessful: "success",
        callStartBeforeUnix: 1,
        callStartAfterUnix: 1,
        callDurationMinSecs: 1,
        callDurationMaxSecs: 1,
        ratingMax: 1,
        ratingMin: 1,
        hasFeedbackComment: true,
        userId: "user_id",
        evaluationParams: [
            "evaluation_params",
        ],
        dataCollectionParams: [
            "data_collection_params",
        ],
        toolNames: [
            "tool_names",
        ],
        toolNamesSuccessful: [
            "tool_names_successful",
        ],
        toolNamesErrored: [
            "tool_names_errored",
        ],
        mainLanguages: [
            "main_languages",
        ],
        pageSize: 1,
        summaryMode: "exclude",
        search: "search",
        conversationInitiationSource: "unknown",
        textOnly: true,
        branchId: "branch_id",
        topicIds: [
            "topic_ids",
        ],
        excludeStatuses: [
            "initiated",
        ],
        tagIds: [
            "tag_ids",
        ],
        workflowNodeEnteredId: "workflow_node_entered_id",
    });
}
main();

```

```python
from elevenlabs import ElevenLabs

client = ElevenLabs()

client.conversational_ai.conversations.list(
    cursor="cursor",
    agent_id="agent_id",
    call_successful="success",
    call_start_before_unix=1,
    call_start_after_unix=1,
    call_duration_min_secs=1,
    call_duration_max_secs=1,
    rating_max=1,
    rating_min=1,
    has_feedback_comment=True,
    user_id="user_id",
    evaluation_params=[
        "evaluation_params"
    ],
    data_collection_params=[
        "data_collection_params"
    ],
    tool_names=[
        "tool_names"
    ],
    tool_names_successful=[
        "tool_names_successful"
    ],
    tool_names_errored=[
        "tool_names_errored"
    ],
    main_languages=[
        "main_languages"
    ],
    page_size=1,
    summary_mode="exclude",
    search="search",
    conversation_initiation_source="unknown",
    text_only=True,
    branch_id="branch_id",
    topic_ids=[
        "topic_ids"
    ],
    exclude_statuses=[
        "initiated"
    ],
    tag_ids=[
        "tag_ids"
    ],
    workflow_node_entered_id="workflow_node_entered_id",
)

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/conversations?cursor=cursor&agent_id=agent_id&call_successful=success&call_start_before_unix=1&call_start_after_unix=1&call_duration_min_secs=1&call_duration_max_secs=1&rating_max=1&rating_min=1&has_feedback_comment=true&user_id=user_id&evaluation_params=%5B%22evaluation_params%22%5D&data_collection_params=%5B%22data_collection_params%22%5D&tool_names=%5B%22tool_names%22%5D&tool_names_successful=%5B%22tool_names_successful%22%5D&tool_names_errored=%5B%22tool_names_errored%22%5D&main_languages=%5B%22main_languages%22%5D&page_size=1&summary_mode=exclude&search=search&conversation_initiation_source=unknown&text_only=true&branch_id=branch_id&topic_ids=%5B%22topic_ids%22%5D&exclude_statuses=%5B%22initiated%22%5D&tag_ids=%5B%22tag_ids%22%5D&workflow_node_entered_id=workflow_node_entered_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```